// Quake III Arena
// Modification: Weapons Factory Arena
// Map Name: GenSurf (v4.0)
// Author: William Chang (aka: DieHard / DieHard83 )
//
// Last Modified: 10/24/2000
//
textures/wfa_gensurf/sky_env1
{
	// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	// color will be normalized, so it doesn't matter what range you use
	// intensity falls off with angle but not distance 100 is a fairly bright sun
	// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
	qer_editorimage textures/wfa_gensurf/sky_env1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_sun 1.000000 1.000000 1.000000 200 0 90
	q3map_surfacelight 150
	skyparms env/wfa_gensurf/outdoormts 256 -
}
models/mapobjects/impaled_skel/impaled_skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/impaled_skel/impaled_skel.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/wfa_gensurf/metal_blcolumn
{
	qer_editorimage textures/ctf/test2.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf/test2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/wfa_gensurf/metal_rdcolumn
{
	qer_editorimage textures/ctf/test2_r.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf/test2_r.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/wfa_gensurf/proto_grill_2
{
	qer_editorimage textures/base_floor/proto_grill.tga
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_floor/proto_grill.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
//textures/wfa_gensurf/blocks9_2
//{
//      qer_editorimage textures/gothic_block/blocks9.tga
//	surfaceparm trans
//	surfaceparm alphashadow
//	cull none
//      nopicmip
//	// A RUSTY GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
//	{
//		map textures/gothic_block/blocks9.tga
//		// tcMod scale 2 2
//		blendFunc GL_ONE GL_ZERO
//		alphaFunc GE128
//		depthWrite
//		rgbGen identity
//	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//	}
//}
textures/sfx/beam
{
	qer_editorimage textures/sfx/beam.tga
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
        // nopicmip
	{
		map textures/sfx/beam.tga
                tcMod Scroll .3 0
                blendFunc add
        }
        // {
	//	map textures/sfx/beam.tga
        //        tcMod Scroll -.3 0
        //        blendFunc GL_ONE GL_ONE
        // }
}
textures/wfa_gensurf/bouncepad01_xarch2_1
{
	qer_editorimage textures/wfa_gensurf/bouncepad01_xarch2.tga
	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400
	{
		map textures/wfa_gensurf/bouncepad01_xarch2.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
textures/wfa_gensurf/pewter_shiney_nodmg
{   
	qer_editorimage textures/base_trim/pewter_shiney.tga
	surfaceparm nodamage
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
//textures/wfa_gensurf/shinymetaldoor
//{
//	{
//		//map $lightmap
//		map textures/base_wall/chrome_env.tga
//		tcGen environment
//		tcmod scale .25 .25 
//		rgbGen identity   
//	}
//	{
//		map textures/base_door/shinymetaldoor.tga
//		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
//		rgbGen identity
//	}
//	{
//		map textures/base_door/quake3sign.tga
//		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
//		rgbGen identity
//	}
//	{
//		map $lightmap
//		rgbgen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//	}	
//} 
textures/wfa_gensurf/redshinymetaldoor_outside
{
	qer_editorimage textures/wfa_gensurf/redmetaldoor_outside.tga
	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}
	{
		map textures/wfa_gensurf/redmetaldoor_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/wfa_gensurf/redsign_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
}
textures/wfa_gensurf/blueshinymetaldoor_outside
{
	qer_editorimage textures/wfa_gensurf/bluemetaldoor_outside.tga
	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}
	{
		map textures/wfa_gensurf/bluemetaldoor_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/wfa_gensurf/bluesign_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}
//textures/sfx/hellfogdense
//*****************************************************
//New death fog that must be in all maps with death fog
//*****************************************************
//{
//	qer_editorimage textures/sfx/hellfog.tga
//	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm fog
//	surfaceparm nodrop
//	surfaceparm nolightmap
//	q3map_globaltexture
//	q3map_surfacelight 100
//	fogparms ( .55 .11 .1 ) 128
//	{
//		map textures/liquids/kc_fogcloud3.tga
//		blendfunc gl_dst_color gl_zero
//		tcmod scale -.05 -.05
//		tcmod scroll .01 -.01
//		rgbgen identity
//	}
//	{
//		map textures/liquids/kc_fogcloud3.tga
//		blendfunc gl_dst_color gl_zero
//		tcmod scale .05 .05
//		tcmod scroll .01 -.01
//		rgbgen identity
//	}
//}
textures/wfa_gensurf/fogdense_blue_128
{
	qer_editorimage textures/wfa_gensurf/hellfog_blue.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 100
	// BLUE: fogparms ( 0 0 1 ) 650  Original: fogparms ( 0.2 0.2 1.0 ) 650
	fogparms ( 0.3 0.3 0.9 ) 128
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{	
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/wfa_gensurf/fogdense_red_128
{
        qer_editorimage textures/wfa_gensurf/hellfog_red.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 100
	// RED: fogparms ( 1 0 0 ) 650  Original: fogparms ( 1.0 0.2 0.2 ) 650
	fogparms ( .55 .11 .1 ) 128
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/wfa_gensurf/fogdense_blue_64
{
	qer_editorimage textures/wfa_gensurf/hellfog_blue.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 100
	// BLUE: fogparms ( 0 0 1 ) 650  Original: fogparms ( 0.2 0.2 1.0 ) 650
	fogparms ( 0.3 0.3 0.9 ) 64
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{	
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/wfa_gensurf/fogdense_red_64
{
        qer_editorimage textures/wfa_gensurf/hellfog_red.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 100
	// RED: fogparms ( 1 0 0 ) 650  Original: fogparms ( 1.0 0.2 0.2 ) 650
	fogparms ( .55 .11 .1 ) 64
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
//textures/wfa_gensurf/wirespinemove
//{
//	qer_editorimage textures/organics/wire02a_f.tga
//	tessSize 128
//	// deformVertexes wave 100 sin 3 2 0 0.3
//	deformVertexes bulge 3 10 1
//	{
//		map $lightmap
//		rgbGen identity
//	}
//	{
//		map textures/organics/wire02a_f.tga
//		blendFunc GL_DST_COLOR GL_SRC_ALPHA
//		rgbGen identity
//		alphaGen lightingSpecular
//	}
//	
//}
textures/wfa_gensurf/xmetal_wall_5b_b
{
	qer_editorimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_lightimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_surfacelight 50
	surfaceparm slick
	{
		map textures/wfa_gensurf/metalfloor_wall_5b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .31	
	}
}
textures/wfa_gensurf/xmetal_wall_9b_r
{
	qer_editorimage textures/wfa_gensurf/metalfloor_wall_9bglow_x.tga
	q3map_lightimage textures/sfx/metalfloor_wall_9bglow.tga
	q3map_surfacelight 50
	{
		map textures/wfa_gensurf/metalfloor_wall_5b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/wfa_gensurf/metalfloor_wall_9bglow_x.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .3	
	}
}
textures/wfa_gensurf/xmetal_wall_5b_b_slick
{
	qer_editorimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_lightimage textures/sfx/metalfloor_wall_5bglowblu.tga
	q3map_surfacelight 50
	surfaceparm slick
	{
		map textures/wfa_gensurf/metalfloor_wall_5b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .31	
	}
}
textures/wfa_gensurf/xmetal_wall_9b_r_slick
{
	qer_editorimage textures/wfa_gensurf/metalfloor_wall_9bglow_x.tga
	q3map_lightimage textures/sfx/metalfloor_wall_9bglow.tga
	q3map_surfacelight 50
	surfaceparm slick
	{
		map textures/wfa_gensurf/metalfloor_wall_5b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/wfa_gensurf/metalfloor_wall_9bglow_x.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .2 0 .3	
	}
}
textures/wfa_gensurf/white_baslt_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	// light 1
	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_gensurf/blue_baslt_4k
{
	qer_editorimage textures/wfa_gensurf/blue_baslt.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	// light 1
	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_gensurf/blue_baslt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wfa_gensurf/blue_baslt_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_gensurf/red_baslt_4k
{
	qer_editorimage textures/wfa_gensurf/red_baslt.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	// light 1
	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wfa_gensurf/red_baslt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wfa_gensurf/red_baslt_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/wfa_gensurf/techfloor_1
{    
	qer_editorimage textures/base_floor/techfloor.tga
	surfaceparm metalsteps	   
        {
		map textures/sfx/proto_zzztpink.tga
                tcMod turb 0 .5 0 9.6
                tcmod scale 2 2
                tcmod scroll 9 5
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
                // clampmap textures/base_floor/techfloor2.tga
		map textures/base_floor/techfloor2.tga
		blendFunc blend
                tcmod rotate 170
                tcMod stretch sin .8 0.2 0 .4
	        rgbGen identity
	}
        {
		map textures/base_floor/techfloor.tga
                blendFunc blend
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
       }
}
textures/wfa_gensurf/spawn_floor_1
{
        qer_editorimage textures/sfx/spawn_floor.tga
	{
		map textures/sfx/firegorre2.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        // clampmap textures/gothic_block/blocks18cgeomtrn2.tga
                map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 130
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        // clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 80
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        map textures/sfx/spawn_floor.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_gensurf/killblockctf_b_1
{
	qer_editorimage textures/gothic_block/killblockgeomtrn.tga
        {
		map textures/sfx/fire_ctfblue.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        map textures/gothic_block/blocks18cgeomtrn2.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                blendFunc blend
                tcmod rotate 30
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 20
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        map textures/gothic_block/killblockgeomtrn.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/wfa_gensurf/killblockctf_r_1
{
	qer_editorimage textures/gothic_block/blocks15cgeomtrn.tga
        {
		map textures/sfx/fire_ctfred.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        map textures/gothic_block/blocks18cgeomtrn2.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                blendFunc blend
                tcmod rotate 30
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 20
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        map textures/gothic_block/blocks15cgeomtrn.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}